server:
  port: 8095
  servlet:
    context-path: /seer/iot

spring:
  application:
    name: seer-iot

  profiles:
    active: dev
  main:
    web-application-type: SERVLET
  flyway:
    enabled: true
    locations: classpath:db/mysql
    baseline-on-migrate: true
    clean-disable: true
    baseline-version: 0.9.0
    table: flyway_schema_history_iot
  cloud:
    nacos:
      discovery:
        server-addr: 192.168.0.39:8848  # Nacos 服务地址
        group: DEFAULT_GROUP         # 分组（默认DEFAULT_GROUP）
        namespace: ${spring.profiles.active}
      config:
        server-addr: 192.168.0.39:8848  # 配置中心地址
        file-extension: yaml         # 配置文件后缀（yaml/properties）
        namespace: ${spring.profiles.active}
  config:
    import:
      - optional:nacos:${spring.application.name}-${spring.profiles.active}.yaml
      - optional:nacos:shared-database.yaml
      - optional:nacos:shared-redis.yaml
      - optional:nacos:shared-sa-token.yaml
      - optional:nacos:shared-minio.yaml

logging:
    config: classpath:logback-${spring.profiles.active}.xml